/*
 * Debug.cpp
 *
 *  Created on: Dec 8, 2009
 *      Author: Tod
 */

#include "Debug.h"
#include <iostream>
#include <string>

using namespace std;

eDebugLevel Debug::_debugLevel = dl_NONE;

eDebugLevel Debug::GetLevel()
{
	return _debugLevel;
}

void Debug::SetLevel(eDebugLevel value)
{
	_debugLevel = value;
}

void Debug::SetLevel(string value)
{
	if ( value.find("None")!= string::npos)SetLevel(dl_NONE);
	else if ( value.find("Taciturn")!= string::npos)SetLevel(dl_TACITURN);
	else if ( value.find("Verbose")!= string::npos)SetLevel(dl_VERBOSE);
	else if ( value.find("Tcp")!= string::npos)SetLevel(dl_TCP);
	else if ( value.find("Fpga")!= string::npos)SetLevel(dl_FPGA);
	else cout << "Invalid value:" << value << " detected in Debug::SetLevel" <<endl;

}
void Debug::WriteConsole(const char* msg)
{
	cout << msg;
}


void Debug::Write(const string& msg, eDebugLevel level, eMatchType matchType)
{
	if (matchType == mt_GREATER_THAN_OR_EQUAL)
	{
		if (_debugLevel >= level ) WriteConsole(msg.c_str());
	}
	else if (_debugLevel == level) WriteConsole(msg.c_str());
}
