/*
 * Debug.h
 *
 *  Created on: Dec 8, 2009
 *      Author: Tod
 */

#ifndef DEBUG_H_
#define DEBUG_H_


#include <string>

enum eDebugLevel {dl_NONE, dl_TACITURN, dl_VERBOSE, dl_TCP, dl_FPGA};
enum eMatchType {mt_EXACT, mt_GREATER_THAN_OR_EQUAL};

class Debug
{
	public:
		static void SetLevel(eDebugLevel value);
		static void SetLevel(std::string value);
		static eDebugLevel GetLevel();

		static void Write (const std::string& msg, eDebugLevel level=dl_TACITURN, eMatchType matchType=mt_GREATER_THAN_OR_EQUAL);

	private:
		static eDebugLevel _debugLevel ;
		static void WriteConsole(const char* msg);
};

#endif /* DEBUG_H_ */
