/*
 * ServiceProvider.cpp
 *
 *  Created on: Nov 18, 2009
 *      Author: Tod
 */

#include "ServiceProvider.h"
#include "HtmlServices.h"
#include "TcpServer.h"
#include "TcpServerReset.h"
#include "Startup.h"

HtmlServices ServiceProvider::_instanceHtmlService = HtmlServices();
TcpServerReset ServiceProvider::_instanceTcpServerReset = TcpServerReset();
TcpServer ServiceProvider::_instanceTcpServer = TcpServer(&_instanceTcpServerReset);

HtmlServices& ServiceProvider::GetHtmlServiceAsSingleton()
{
	return _instanceHtmlService;
}

TcpServer& ServiceProvider::GetTcpServerAsSingleton()
{
	return _instanceTcpServer;
}

TcpServerReset& ServiceProvider::GetTcpServerResetAsSingleton()
{
	return _instanceTcpServerReset;
}




