//------------------------------------------------------------------------------
/*
 * Author:: Tod Gentille
 * Created on: Nov 18, 2009
 * Workfile:: ShellCommon.h
 * Revision:: 2
 * (C) Copyright Syncor Systems, Inc.
 */
//------------------------------------------------------------------------------


#ifndef SHELLCOMMON_H_
#define SHELLCOMMON_H_


//==============================================================================
// NShell Namespace - holds common vars accessed system wide and a convenient
// place for some standard messages like the Rev and startup msgs.
//==============================================================================

//---------------------------------------------------------------------------



namespace NShell
{
	//Firmware Rev is MajorVersion.MinorVersion.YearWeek.DayRelease
	//where the year is two digits, the week is the week of the year 01-53 the day is a number
	//from 1-7 where 1 is Monday and 7 is Sunday. The release can be used for anything we want
	//but currently is the release for that day, which will almost always be 01 since although
	//we may build many times in a day we aren't likely to make more than one release per day

	const char FIRMWARE_REV_MSG[] = "FW Version 1.0.0950.401";
	const char STARTUP_BANNER[]   = "NBShell V2 Startup...\n" ;
	const char SHELL_IDN_RESPONSE[] = "NBShellV2";

}


#endif /* SHELLCOMMON_H_ */
