#include "predef.h"
#include <iostream>
#include <ctype.h>
#include <startnet.h>
#include "Framework/Startup.h"
#include "Framework/ServiceProvider.h"

//=============================================================================
// AJAX SAMPLE V2
// This project was designed to show how to do more sophisticated AJAX
// processing than was demonstrated in my first white paper and associated code.
// This version uses both the Prototype library and a Syncor library that I wrote.
// The heavy lifting for the AJAX functionality is to be found in
// the HtmlServices module and the SupportScripts.js file.
// This project was also an experiment in doing more pure C++ in the NB including
// using <iostream> and other STL modules. I also used some Dependency Injection
// techniques. You'll quickly notice that not much happens in UserMain. The
// startup code and the main event loop are in the Startup.cpp module. The
// ServiceProvider module is a convenient way to move singleton behavior outside
// of the responsibility of the class itself.
//
//Permission is hereby granted, free of charge, to any person obtaining a copy
//of this software and associated documentation files (the "Software"), to deal
//in the Software without restriction, including without limitation the rights
//to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
//copies of the Software, and to permit persons to whom the Software is
//furnished to do so, subject to the following conditions:

//THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
//SOFTWARE.
//=============================================================================
using namespace std;

extern "C" {
void UserMain(void * pd);
}

OS_MBOX _TcpMailBox ;


const char * AppName="NBShell_V2";

void UserMain(void * pd) {
    InitializeStack();
    cout << AppName  << " Application started " << endl;

   Startup startup_app(ServiceProvider::GetHtmlServiceAsSingleton(),
					   ServiceProvider::GetTcpServerAsSingleton(),
					   ServiceProvider::GetTcpServerResetAsSingleton());
   startup_app.ShellInit(); //won't ever return

}
